Introduction

 Top Next

Flash Demo Builder is a tool to build an online presentations, tutorials, demonstrations and quizzes quickly and easily. You can publish the result online, send it via email, burn it as a DVD video playable on TV, export it as a Word document, publish it as an executable file or an auto-run CD with a customizable splash screen and a company logo. With these vast array of publishing options and powerful editing features, Flash Demo Builder is voted as the best solution by our users.

Feature list

Screen Capturing

· Automatic capturing mode with three different built-in settings for assessment, demonstration and training.
· Full motion capturing to record drawing, mouse dragging and keyboard typing operation.
· Automatic captioning.
· Customizable recording window size. A smart snap tool to automatically snap to the window area within the running software.
· Option to record the mouse click and movement.

Editing

· Insert a callout, text, image and sound.
· Record voice from microphone.

Flash Demo Builder allows you to play the slide while voice recording so you can synchronize a voice narration with the slide playback much easier.

· Insert a rectangular highlight, mouse cursor, built-in shapes such as arrow, pointer, diagram, etc.
· Import an AVI video.
· Insert a text/image rollover.
· Insert varieties of quiz objects such as text entry-field, key-press, click area and multiple choices.
· Add a quiz login and report. Submit the quiz result via email or into an online database.
· Choose from varieties of fully customizable navigation controls.
· Use timeline window to adjust the object timing.
· Import PowerPoint (PPT) file into the slides
· Import images (BMP/GIF/JPEG/TIF) into the slides

Publishing

· Publish as a streaming flash SWF and HTML file ready for online delivery (Option to publish a LMS/SCORM compatible HTML)
· Publish as an executable file and autorun CD/DVD with a customizable splash screen and a company logo. You can also add a serial number and a time trial protection.
· Publish as a DVD movie playable on TV with any DVD players. The resulting DVD movie will be played exactly like when it is published as an SWF file. with all its animation, video, sound, etc.
· Publish as an AVI movie importable into your favorite video editing tools such as Adobe Premiere.
· Export into a Microsoft Word document for printing or further modification.
· Send via email using a FREE Flash Demo Builder online service.
· Upload online into your own website/FTP account using a built-in FTP client.

Trial version limitation

· Cannot send the presentation via email
· The software will not function after 15 days.
· The published presentation will have a watermark "Evaluation version of Flash Demo Builder"

For the first time user, it is strongly recommended to follow this brief walkthrough on Flash Demo Builder functionality.

Tutorial - Start Using Flash Demo Builder 1.0


Start Using Flash Demo Builder 1.0

 Top Previous Next

Here is a quick walkthrough on creating your first presentation with Flash Demo Builder. In this tutorial, only the important features are covered. However, a complete feature details are available on the other chapters in this help file.

The first time you run Flash Demo Builder, a Startup window will be appeared where you can decide to create a new presentation or to open an existing presentation.

Creating a new presentation

There are four ways to create a new presentation.

· Creating and Empty Presentation
· Create from a PowerPoint (PPT) file

This option allows you to choose a Microsoft PowerPoint file and import each PowerPoint slide into a Flash Demo Builder slide. You can then add new slides, decorate the imported slides with cliparts, texts, sounds, etc.

· Create from images

This option allows you to select image files and import each image file into a Flash Demo Builder slide. You can then add new slides, decorate the imported slides with cliparts, texts, sounds, etc.

· Create from screen capture

This option allows you to define a screen area and to do a series of screen capture manually/automatically. You can customize the capturing process to automatically insert captions, tips, mouse cursor, click area highlight, etc.

Click the above option to see each tutorial.

Opening an existing presentation

You can open a presentation from the existing files or from the recently accessed presentations.


Creating an Empty Presentation

When you create an empty presentation, you need to specify the project/presentation dimension.

Choose the preset dimension or type it in manually and press OK.

Next - A quick introduction to the Flash Demo Builder user interface


Create from a PowerPoint File

You must have a Microsoft PowerPoint installed to import a PowerPoint (PPT) file into your presentation.

When importing the PowerPoint file, each PowerPoint slide will be transferred into a Flash Demo Builder slide. You can always import another PowerPoint (PPT) file when editing your existing presentation.

Dimension

Specify the presentation dimension. It is recommended to use a dimension with a 4:3 ratio, eg: 640x480, 800x600 to avoid the resulting slides look distorted.

Slide transition

Choose whether to use the transition time from the original PowerPoint file or to manually set the transition time. You can always modify the setting for each slide at anytime during the editing process.

Press OK and the importing process will begin.

At the end of the importing process, the main application window will be appeared for further editing.

Next - A quick introduction to the Flash Demo Builder user interface


Create from Images

When you create a presentation from image files, you need to specify the project/presentation dimension.

All imported images will be scaled to fit this dimension. A image browser window will be opened. Move the cursor to the folder where the images are located and select the image files. You can make a multiple selection by clicking and holding a Ctrl button or by simply dragging the mouse to make a rectangular-multiple selection.

Click add photos to continue.

Note that Flash Demo Builder tries to retain the image quality as much as possible by automatically choose the best image compression that fits the image format. For example: a lossless compression is used to compress BMP and GIF image files and a lossy compression is used to compress JPEG image files. You can always change these settings anytime during the editing process.

Next - A quick introduction to the Flash Demo Builder user interface


Create from Screen Capture

Starting make a screen capture project.

There are two different recording modes.

· Manual

This recording mode only takes a screen capture whenever you press a PrintScreen button or other designated keyboard button. It does not insert an auto caption, a mouse click highlight or a mouse movement. This mode is useful if you need to take screenshot(s) that does not require you to show the mouse or the keyboard operation.

· Automatic

This recording mode automatically takes a screenshot, insert an auto caption, a mouse click highlight and a mouse movement depending on the keyboard and the mouse activities. You still can do a manual screenshot by pressing the PrintScreen button or other designated keyboard button.

The mode is very useful to speed up the creation of a software demonstration that requires you to show the mouse clicking, the mouse movement, etc. You can customize the automatic mode to enable/disable the auto caption, the mouse click highlight, etc by clicking the Edit button next to the automatic capturing style or you can simply select the three provided presets:

· Demonstration

When choosing this preset, a mouse movement, an auto caption and a mouse click highlight will be added. This preset is suitable for making a demonstration of a software operation.

· Training

A training mode automatically adds a click box with the failure/success and the hint captions. When you choose this preset, a hint caption will be appeared for each mouse click activity asking the viewer to click on the same mouse location. When a user makes a mistake, a failure caption will be appeared and he/she needs to redo the operation until it gets right. The success caption will be appeared and the presentation continues. This preset is very useful to conduct an e-learning to teach how to operate a software.

· Assessment

An assessment mode automatically adds a click box with the failure/success but without the hint caption and the mouse movement. When you choose this preset, for each mouse click activity, the viewer is expected to click on the same location without any hint caption. When a user makes a mistake or a correct answer, a failure/success caption will be appeared and the presentation continues. This preset is useful to conduct an e-learning examination to assess someone's knowledge on how to operate a software.

You can further customize each of the three presets above by clicking the Edit button next to the combo box.

Click OK to start.

A capture window will be appeared. Here, you need to specify the screen area that you want to capture. You can select a running application window by manually clicking the Select and application to capture button, resize and drag the red capture window or by dragging the smart snap cursor [image] into any windows (the main application window or a child window within an application).

Click the Start Capturing button to start.

A window where you can select a project dimension will show up. Most of the time you will use the same project dimension as the capture area. In this case, simply click OK to close the window. However when you are capturing a full screen area and you want to publish it on the website, you may want to resize the capture result to a user friendly size such as not bigger than 640x480.

Go here to know more about this window.

You can end the capturing session by clicking the icon at the bottom right corner of your desktop as shown below or by pressing the Ctrl + End button.

One unique feature of the Flash Demo Builder is the ability to do a full motion capture. When a full motion capture is used, the Flash Demo Builder will automatically capture a series of screenshot per time interval, allowing the operations such as drag and drop, scroll bar dragging, drawing, resizing to be captured smoothly. The size of the capture can be big, depending on the duration of the capture and the capture dimension, so please use it wisely. When capturing with the automatic mode, the Flash Demo Builder decides when to do a full motion capture based on the mouse and the keyboard activity. For example: based on the activity of click and drag a mouse button or the type on the keyboard activity. Press F9 to manually start a full motion capture and F10 to stop. The capture icon as shown above will flash when the full motion capture is being used.

Note that capturing a large screen area is a very CPU intensive process. It is recommended to apply a slight delay (0.1 second) between several mouse clicks or keyboard presses. If you experience some mouse clicks/keyboard presses are skipped during the automatic capture, please try again with a longer delay.

You can always do another screen capture and add the result into the existing presentation.

Next - A quick introduction to the Flash Demo Builder user interface


Flash Demo Builder User Interface Walkthrough

The main application window is divided into three important sections.

· Slide list

Slide list shows all available slides within the presentation as thumbnails and slide titles. The currently edited slide will have a red rectangle around the thumbnail. To select a new slide to be edited, simply click the slide thumbnail. You can do multiple selection by clicking while holding the Ctrl button. A multiple selection is very useful if you want to delete/move multiple slides at once. Click the delete button at the top of the slide list to delete selected slide(s).

· Preview window

Preview window shows the currently selected slide. In this window you can select, move, resize, rotate any visible objects such as text, callout, image, video, etc. To select multiple objects, simply hold the Ctrl button while clicking an object. To delete the selected object(s), press the keyboard delete button. Double click on the object to edit the object properties.

Note that a sound that is not attached to a button will not be visible on the preview window. Use the control at the top right corner of the preview window to adjust the preview zoom setting.

· Timeline

Timeline shows all objects within the currently selected page. A sound which does not attach to a button will also show in Timeline. Timeline is very useful to easily adjust the object timing within a slide. By simply dragging the end of the object bar you will adjust its duration. Drag the start of the object bar to adjust when the object should show/play by dragging the middle of the object bar to move the show time and the duration time at once. You can also adjust the slide duration by dragging the red vertical bar at the top of the timeline. Note that you cannot drag the slide duration less than the object duration within the slide. To make the slide pause at the end, click on the small green play button next to the red vertical bar. Click it again to disable the pause.

Double clicking the object bar allows you to edit the object properties.

Side toolbar is located between the slide list and the preview window which is differentiated into the following three groups.

· Tools

Contain group of buttons to insert standard objects into a slide such as text, callout, image, rectangular highlight, sound, recorded voice, mouse cursor, etc.

All of these functionalities and other functionalities such as a video insertion and an image rollover are also accessible from the Insert menu.

· Quiz

Contain group of buttons to insert a quiz object into a slide such as text entryfield, keypress, click area, multiple choice, report and login. All of these functionalities are also accessible from the Insert menu => quiz menu.

· General

Contain three important buttons. Edit slide background, to modify the slide background image and color. Edit slide properties, to modify the slide transition and disable/enable the navigation button. Project properties to choose/customize a presentation navigation control, choose a project thumbnail, etc. Project properties window is also accessible from the Project => Project Settings window.

Finally, the important buttons are a series of buttons at the top of preview window.

Add a new slide

To add new slide(s). This feature is also accessible from the Slide menu.

Delete selected slide(s)

To delete the selected slide(s)

This feature is also accessible from the Slide menu.

Save

To save the current presentation

This feature is also accessible from the File menu.

Open

To open an existing presentation file

This feature is also accessible from the File menu.

Undo, Redo

This feature is also accessible from the Edit menu.

Play

To preview the presentation.

There are three play options when you click the drop-down arrow.

· Preview all
· Preview 5 slides

To preview 5 subsequent slides starting from the current slide

· Preview current slide

To preview only the current slide

This feature is also accessible from the Publish menu.

Next - Adding More Slides to Your Presentation


Adding More Slides to Your Presentation

To add more slides to your presentation, click the Add button at the upper left corner of the slide list. You can also do it via the Slide menu.

Similar with creating a new presentation, you have four options to add new slide(s).

· Add an empty slide
· Add from images

This option allows you to add slides from image file(s).

· Add from PowerPoint (PPT) file

This option allows you to add slides from a PowerPoint (PPT) file.

· Add from screen capture

This option allows you to start a screen capture and add the resulting slides into an existing presentation.

Next - Adding and editing object


Adding and Editing Object

Use the Side Toolbar to insert a new object into the currently edited slide. There are 10 main Side Toolbar buttons under the Tools group.

Insert a Text

To insert a text object.

Insert a Callout

To insert a callout object.

Insert an Image

To insert an image object. The supported image files are JPEG, BMP, GIF and TIFF.

Insert a Rectangle

To insert a rectangle object.

Insert a Rectangular Highlight

To insert a rectangular highlight object. This transparent rectangle is useful for highlighting an area on the slide.

Insert a Circle

To insert a circle object.

Insert a Sound

To insert a sound file. The supported sound files are MP3 and WAV.

Insert a Recorded Voice

To insert a recorded voice from a microphone.

Show/Hide a mouse cursor

To show/hide a mouse cursor in this slide.

Insert a Text Rollover

To insert a text rollover object. A text rollover is an invisible area which will show a text on a mouse over.

All of these features and another additional features are also available from the Insert menu.

The following example shows how to add a text by clicking the Insert Text button.

The newly created text object is now visible in both the Preview window and the Timeline. In the Preview window, the text object has a blue selection rectangle and a resize and rotate handle. Drag the resize handle horizontally to resize the text area. Drag the rotate handle to rotate the object. Holding a shift button while rotating the object will rotate the object with 15 degrees increment. To move the object, simple drag the text area.

In the Timeline, there is a text object bar showing the duration of 3.00 seconds. Each object in the timeline has a Show time and an Exit time. A show time is the time when the object starts showing/playing and an Exit time is the time the object disappears/stops playing. In this example, the new text object will show at second 0 and will be disappeared in 3seconds after the starting show.

The presentation can be played by clicking the Play button at the top of the Preview window or by pressing the Ctrl + 1 button. For example, let us change the show time into 1second by dragging the start of the object bar. Notice that the duration changes while you are dragging the object bar. Also, change the exit time into second 2 by dragging the end of the object bar. Then, play the presentation again and notice that now the text will show at second 1 and will be disappeared at second 2.

Timeline ruler is located at the top of the timeline. A red vertical bar within this ruler indicates the end of the slide. Drag this bar to adjust the slide duration. Note that you cannot make the slide duration less than the latest object Exit time. Next to the vertical bar is a Slide Play/Pause icon. When the [image] icon is showing, the current slide will jump to the next slide at the end of its duration. Click this icon to make the slide paused at the end of its duration and vice versa.

You can get more controls over a slide timing via the Slide Properties window. Click the [image] button at the Side Toolbar to open the following window.

Double click the object in Preview window to open a property window. You can also do this by double clicking the object bar in the Timeline.

A text property window will show up. In this window, you can choose the text font, the size, the transparency, the color, etc. You can also manually enter the text Show time and the duration here. This window provides more controls over the object timing. In addition to that, you can make the object to show forever in this Timeline menu. It means that an object will be appeared until the slide is terminated. If the slide is set to pause at the end of its duration, the object will stay visible. Click the Show For button and select the Show Forever to make the object appeared forever.

Another Flash Demo Builder unique feature is the ability to execute an action when an object is clicked. The types of the action to perform are: Goto a website, Play slide, Pause slide, Go to a slide and Send Email. These actions are very useful features to provide interactivity in your presentation.

Click the OK button to apply the changes and close this window.

Next - Adding Background Image and Image Object


Adding Background Image and Image Object

Each slide can have its own background image. Click the [image] button at the Side Toolbar to choose a background image for the current slide.

Check the Have background image checkbox to enable the background image. Then, click the Browse button to choose an image file.

Click the OK button to apply the changes.

You will notice that the slide background is now changed to the selected image file. Flash Demo Builder always resizes the image to fit the presentation dimension while preserving the image aspect ratio.

Note that background image is a special object and will never be appeared in the Timeline menu. However you can still double click the empty area/background image within the slide to bring the Slide Background Properties window.

Flash Demo Builder allows you to add more images into a slide by adding an Image object. An Image object is resizeable and rotatable. It is visible in the Timeline menu.

Next - Changing Project Settings


Changing Project Properties

Changing Project Settings

Project Settings window allows you to:

· Choose a project thumbnail
· Change the presentation title
· Choose and customize the navigation control
· Customize the presentation loading behavior
· Assign an action to be performed at the end of the presentation

Click the [image] button at the Side Toolbar to open the Project Settings window.

Navigation Control

You can enable/disable the Navigation Control by checking/unchecking the Have navigation control.

When enabled, the published presentation will show a navigation control as displayed below.

Click the Customize button to further customize the control by selecting colors, enabling/disabling buttons, etc.

Presentation Thumbnail

A presentation thumbnail is used as a thumbnail at a DVD menu when publishing a DVD.

Next - Publishing Your Presentation


Publishing Your Presentation

Flash Demo Builder has much more publishing features than any other presentation builder software.

· Publish as a HTML file

The presentation can be published as a HTML and SWF file. The resulting SWF file stream (played instantly while downloading).

· Publish as an Executable file

The executable can run on any PC running Win98/Me/NT/2000/XP without the need to install additional software. You can customize the executable file with a company splash screen, a website url or a serial/time trial protection.

· Publish as a DVD movie

Need to show the presentation on the TV? Flash Demo Builder can help you to burn the presentation into a DVD movie, playable on any DVD players. The resulting DVD movie will preserve all the animation, the video and the sound exactly the same as when you publish it as an EXE/HTML file. You can burn multiple presentations into a DVD movie with a DVD menu.

· Publish as a Movie file

The presentation can be published into an AVI file. All AVI codecs such as Divx/MPEG4/Xvid/etc are supported as long as they are installed on the same PC. This is useful to further process the resulting AVI file into a video editing package such as Adobe Premiere.

· Publish as an autorun CD/DVD

The CD/DVD can be executable on any PC running in Win98/Me/NT/2000/XP without the need to install additional software. You can customize the executable file with a company splash screen, a website url or a serial/time trial protection.

· Publish online into an FTP/website

Flash Demo Builder built-in FTP client helps you to publish the presentation within a few mouse clicks.

· Send via the Flash Demo Builder email service (FREE for a registered customer)

Not like other software companies, we do not charge the registered customers for sending a presentation via email through our online service.

· Export into a Word document for a handout/printout

You can customize the slide layout within the resulting Word document page. This is useful to print your presentation or to combine them with another Word documents.

You can find these publishing features from the Publish menu.

Next - Summary


Summary

We have come to the end of this brief tutorial and now you are ready to utilize the Flash Demo Builder to the maximum!

Feel free to browse this help file to know more about other features within the Flash Demo Builder.


User Interface


Main Window

The main menu of the Flash Demo Builder consists of 6 important components

· Preview window
· Main Toolbar
· Side Toolbar
· Slide List
· Timeline
· Object layout alignment/resize tools


Preview Window

Preview window shows the currently selected slide. In this window you can select, move, resize, rotate any visible objects such as text, callout, image, video, etc.

Selecting object(s)

To select multiple objects, simply hold the Ctrl button while clicking an object.

Deleting object(s)

To delete the selected object(s), press the keyboard delete button.

Editing object properties

Double click the object to edit the object properties.

Reordering objects

Right click the object and choose the appropriate action to reorder the objects (moving an object on top/behind another).

Changing the zoom value

To zoom in/out, click the + and - buttons at the upper right corner of the Preview window. Click the o button to restore to the original size.

Note

· A sound that is not attached to a button will not be visible on the preview window. Use the control at the top right corner of the preview window to adjust the preview zoom setting.
· Right click on an object to go to the menu where you can choose some actions to perform on that object.


Main Toolbar

Add new slide(s)

To add more slides to the existing presentation

Delete selected slide(s)

To delete the selected slide(s) from the existing presentation

Save

To save the project

Open

To open the project

Undo

To undo the last change

Redo

To redo the last undo change

To play the presentation. Click the dropdown arrow to choose the playback mode.


Side Toolbar

Tools Group

Insert a Text

To insert a text object.

Insert a Callout

To insert a callout object.

Insert an Image

To insert an image object. The supported image files are JPEG, BMP, GIF and TIFF.

Insert a Rectangle

To insert a rectangle object.

Insert a Rectangular Highlight

To insert a rectangular highlight object. This transparent rectangle is useful for highlighting an area on the slide.

Insert a Circle

To insert a circle object.

Insert a Sound

To insert a sound file. The supported sound files are MP3 and WAV.

Insert a Recorded Voice

To insert a recorded voice from a microphone.

Show/Hide a mouse cursor

To show/hide a mouse cursor in the selected slide.

Insert a Text Rollover

To insert a text rollover object. A text rollover is an invisible area which will be appeared on a mouse over.

Quiz Group

Only one Text entryfield, keypress, mouse click or multiple choice quiz can be inserted into a slide.

Insert a Short Answer Quiz

To insert a short answer quizz.

Insert a Keypress Quiz

To insert a keypress quiz.

Insert a Mouse Click Quiz

To insert a mouse click quiz.

Insert a Multiple Choice Quiz

To insert a multiple choice quiz.

Insert a Login Quiz

To insert a login quiz. Only one login quiz can be inserted into a presentation.

Insert a Report Quiz

To insert a report quiz. Only one report quiz can be inserted into a presentation.

Quiz Manager

To open a quiz manager window.

General Group

Edit Slide Background Properties

To open a slide background properties window.

Edit Slide Properties

To open a slide properties window.

Edit Project Properties

To open a project properties window.


Slide List

Slide list shows all available slides within this presentation as thumbnails and slide title. The currently edited slide will have a red rectangle around the thumbnail.

Selecting slide(s)

To select a new slide to be edited, simply click on the slide thumbnail. You can do multiple selection by clicking while holding Ctrl button. A multiple selection is very useful if you want to delete/move multiple slides at once.

Deleting selected slide(s)

Click the delete button at the top of the slide list to delete selected slide(s).

Reordering selected slide(s)

Drag the selected slide into the desired position. A blue horizontal line showing the drop target will give you indication where the slide will be inserted when dropped.

Changing slide title

Click on the slide caption to edit slide title. Slide title is used at the index page when your presentation is published using a navigation control.

Note

Right click on the slide thumbnail to bring up menu where you can choose action to perform within Slide List.


Timeline

Timeline shows all objects within the currently selected page. Sound which does not attach to a button will also show in Timeline. Timeline is very useful to easily adjust the object timing within a slide.

Adjusting object timing

By simply dragging the end of the object bar you will adjust its duration. Drag the start of the object bar to adjust when the object should show/play while dragging the middle of the object bar to move the show time and duration at once.

Adjusting slide duration

You can also adjust the slide duration by dragging the red vertical bar at the top of the timeline. Note that you cannot drag the slide duration less than the object duration within the slide.

Making slide to pause/jump to the next page at the end of its duration

To make the slide pause at the end, click on the small green play button next to the red vertical bar. Click again to disable the pause.

Editing object properties

Double clicking on the object bar also allow you to edit the object properties.


Object layout alignment/resize tools

Flash Demo Builder provides you with tools to align/resize several objects in many different ways. Making it easier to position objects relative to each other with precision.

Depending on one/two/more objects are selected, these alignment/resize buttons underneath the Preview window will become available

Note that some of these tools such as align objects horizontally at their left relative to the primary selected object will require at least two objects selected. One primary selected object and at least one secondary selected object. Primary selected object will have a blue selection rectangle in Preview window. While other secondary selected object(s) will have a yellow selection rectangle.

Align objects horizontally centered relative to presentation area. This tool need to have at least one object selected.

Align objects vertically at their center relative to presentation area. This tool need to have at least one object selected.

Align objects horizontally at their left relative to the primary selected object.

Align objects horizontally at their center relative to the primary selected object.

Align objects horizontally at their right relative to the primary selected object.

Align objects vertically at their top relative to the primary selected object.

Align objects vertically at their center relative to the primary selected object.

Align objects vertically at their bottom relative to the primary selected object.

Make objects the same size horizontally relative to the primary selected object.

Make objects the same size vertically relative to the primary selected object.

Make objects the same size horizontally and vertically relative to the primary selected object.

Distribute objects equally in a horizontal direction at their left.

Distribute objects equally in a horizontal direction at their center.

Distribute objects equally in a horizontal direction at their right.

Distribute objects equally in a vertical direction at their top.

Distribute objects equally in a vertical direction at their center.

Distribute objects equally in a vertical direction at their bottom.

These alignment and resize tools are also available from Context menu when you right click on an object.

Quiz object has many more alignment and resize tools within its context menu to easily format the layout of your quiz components across slides.

For more about quiz object alignment/resize tools, go here.


Menu

File Menu

New

To make a new project.

Open

To open an existing project file

Close

To close the current project file

Save

To save the current project file

Save As

To save the current project file into another file

Exit

To exit the application

Edit Menu

Undo

To undo the last changes

Redo

To redo the previously undo-ed changes

Cut

To copy the selected object(s) into clipboard and delete them from current slide

Copy

To copy the selected object(s) into clipboard

Paste

To paste the objects in the clipboard into the current slide

Paste From Clipboard

To paste an image in the clipboard into the current slide as an image object

Move Selected Object Behind

Move the selected object behind the object by one level.

Bring Selected Object Forward

Move the selected object in front by one level.

Send Selected Object To Back

Move the selected object behind every objects within the slide

Bring Selected Object To Front

Move the selected object in front of every objects within the slide

Insert Menu

Text

Insert a text object

Callout

Insert a callout object

Image

Insert an image object

Rectangle

Insert a rectangle object

Rounded Rectangle

Insert a rebounded rectangle object

Circle

Insert a circle

Button

Insert a button

Text Rollover

Insert a text rollover

Image Rollover

Insert an image rollover

Mouse Cursor

Enable/disable mouse cursor in this slide

Highlight

Insert a rectangular highlight

Sound

Insert a sound

Voice Narration

Insert a voice recorded from a microphone

Background Music

Insert a background music. A background music will play across slides starting from the slide where the background music is inserted.

Video

Insert a video object

ClipArt

Choose and insert a clipart from a clipart library

Quiz - Click Area

Insert a click area quiz

Quiz - Keypress

Insert a keypress quiz

Quiz - Short Answer

Insert a short answer quiz

Quiz - Multiple Choice

Insert a multiple choice quiz

Quiz - Login

Insert a login quiz

Quiz - Report

Insert a report quiz

Slide Menu

Insert Empty Slide

Insert an empty slide

Insert Slides from Images

Insert slides from image files

Insert Slides from PowerPoint files

Insert slides from PowerPoint (PPT) files.

Insert Slides from screen capture

Insert slides via screen capture

Delete selected slides

Delete selected slides

Duplicate selected slides

Duplicate selected slides

Slide Properties

Opening a slide properties window

Publish Menu

Preview all

To preview the whole presentation.

Preview current slide

To preview the current slide

Preview 5 slides

To preview the current and the next 4 subsequent slides

HTML File

To publish the presentation as an HTML file

Executable File

To publish the presentation as an executable file

DVD Movie

To publish the presentation as a DVD movie

Movie File

To publish the presentation as an AVI file

Autorun CD

To publish the presentation as an autorun CD

Autorun DVD

To publish the presentation as an autorun DVD

Upload Online

To upload the presentation online via built-in FP client

Send Email

To send the presentation via Flash Demo Builder online service (FREE for a registered customer)

Export to MS Word

To export the presentation to MS Word.

Project Menu

Project Settings

Opening a project settings window

Change Project Dimension

To Change the current project dimension

Preferences

To change the software preferences.

Help Menu

Help Document

To open a help document

Contact Technical Support

To contact a technical support for troubleshooting a problem

Visit Flash Demo Builder website

To open a Flash Demo Builder website

About Flash Demo Builder 1.0

To know information about Flash Demo Builder 1.0


Object Properties Window

An object properties window will show up depending on which object is currently edited by double clicking on them in Preview window or in Timeline.

You can also open the Property Window by right clicking on the object in Preview Window and choose Properties menu item

There are 20 different objects in Flash Demo Builder, each having its own properties window

· Text Properties Window
· Callout Properties Window
· Image Properties Window
· Background Properties Window
· Sound Properties Window
· Voice Narration Properties Window
· Shape Properties Window (Shared by Circle, Rectangle, Rounded Rectangle, Highlight and a ClipArt)
· Mouse Cursor Properties Window
· Text Rollover Properties Window
· Image Rollover Properties Window
· Video Properties Window
· Short Answer Quiz Properties Window
· Click Area Quiz Properties Window
· Keypress Quiz Properties Window
· Multiple Choice Quiz Properties Window
· Login Quiz Properties Window
· Report Quiz Properties Window
· Button Properties Window
· Text EntryField Properties Window
· Multiple choice's choice Properties Window


Text Properties Window

Double click on the text object in Preview window or in Timeline to open a Text Properties Window.

Font settings

At the top of the window you will see the common text settings control such as Font, size, bold, italic, underline, alignment and color.

Alpha

To set the text transparency. 100% is a completely transparent.

Content

To type in the text content. You can insert the following macro which will get replaced automatically by Flash Demo Builder during export.

#PAGE# = To insert the page number

#QUESTION_NUMBER# = To insert the current quiz number. Eg: The first quiz will have QUESTION_NUMBER = 1, the second quiz will be 2, etc.

Apply font settings to other similar objects

When checked, clicking OK button will apply the changes to font settings above to all text objects within the presentation.

Show after

The time the object will start showing.

Show type combo

To change how the object will show. There are two options:

· Show For x seconds

The object will only show for the duration of x second where you can type in the duration value.

· Show Forever

The object will show as long as the slide is running.

When clicked

To choose an action to perform when the object is clicked. There are 6 options:

· Do nothing
· Open a website

This is useful to make a web link.

· Goto a slide

To jump to a specific slide.

· Play

This will play the currently paused slide.

· Pause

This will pause the currently playing slide.

· Send email

This is useful to make an email link which will open an email client when clicked.

Fade In

To show the object with a fade in effect.

Fade Out

To hide the object with a fade out effect at the end of its duration.

Note that to be able to use fade out you must make sure the object duration is at at least one frame less than the page duration and the object show type is not set to Show Forever.


Callout Properties Window

Double click on the callout object in Preview window or in Timeline to open a Callout Properties Window.

Font settings

At the top of the window you will see the common callout settings control such as Font, size, bold, italic, underline, alignment and color.

Alpha

To set the callout transparency. 100% is a completely transparent.

Callout type

To choose a different callout shape

Fill color

To change the callout fill color. Not all callout have a fill color.

Border color

To change the callout border color. Not all callout have a border color.

Content

To type in the callout content.

#PAGE# = To insert the page number

#QUESTION_NUMBER# = To insert the current quiz number. Eg: The first quiz will have QUESTION_NUMBER = 1, the second quiz will be 2, etc.

Apply font settings to other similar objects

When checked, clicking OK button will apply the changes to font settings above to all callout objects within the presentation.

Show after

The time the object will start showing.

Show type combo

To change how the object will show. There are two options:

· Show For x seconds

The object will only show for the duration of x second where you can type in the duration value.

· Show Forever

The object will show as long as the slide is running.

When clicked

To choose an action to perform when the object is clicked. There are 6 options:

· Do nothing
· Open a website

This is useful to make a web link.

· Goto a slide

To jump to a specific slide.

· Play

This will play the currently paused slide.

· Pause

This will pause the currently playing slide.

· Send email

This is useful to make an email link which will open an email client when clicked.

Zoom In

To show the object with a zoom in effect.

Zoom Out

To hide the object with a zoom out effect at the end of its duration.

Note that to be able to use zoom out you must make sure the object duration is at at least one frame less than the page duration and the object show type is not set to Show Forever.


Image Properties Window

Double click on the image object in Preview window or in Timeline to open an Image Properties Window.

Browse

To choose a different image file.

Compression settings

To choose a different image compression method and quality. When clicked an Image compression settings will open.

Here you can choose between two compression method and also adjust the compression quality.

There are two different compression methods:

· JPEG

This method is suitable for a photographic image. This compression method blurs the image to obtain smaller publish size.

· GIF

This method is suitable for image containing diagram, chart and artwork. This compression method reduces the image color to obtain smaller publish size.

Setting compression method to GIF and adjusting the quality to the highest will results the image to be exported without any loss of quality but obviously this may results in a bigger publish size.

Try to experiment with both compression method to obtain the desired output.

By default Flash Demo Builder will automatically select GIF compression method when you open an image with BMP or GIF extension.

Click Apply to all photos to apply the same compression to all images within the presentation.

Show after

The time the object will start showing.

Show type combo

To change how the object will show. There are two options:

· Show For x seconds

The object will only show for the duration of x second where you can type in the duration value.

· Show Forever

The object will show as long as the slide is running.

When clicked

To choose an action to perform when the object is clicked. There are 6 options:

· Do nothing
· Open a website

This is useful to make a web link.

· Goto a slide

To jump to a specific slide.

· Play

This will play the currently paused slide.

· Pause

This will pause the currently playing slide.

· Send email

This is useful to make an email link which will open an email client when clicked.

Fade In

To show the object with a fade in effect.

Fade Out

To hide the object with a fade out effect at the end of its duration.

Note that to be able to use fade out you must make sure the object duration is at at least one frame less than the page duration and the object show type is not set to Show Forever.


Background Properties Window

Double click on the background or empty space in Preview window or in Timeline to open a Background Properties Window.

Background color

To change the background color

Have Background image

To enable/disable background image

Browse

To choose a different image file.

Compression settings

To choose a different image compression method and quality. When clicked an Image compression settings will open.

Here you can choose between two compression method and also adjust the compression quality.

There are two different compression methods:

· JPEG

This method is suitable for a photographic image. This compression method blurs the image to obtain smaller publish size.

· GIF

This method is suitable for image containing diagram, chart and artwork. This compression method reduces the image color to obtain smaller publish size.

Setting compression method to GIF and adjusting the quality to the highest will results the image to be exported without any loss of quality but obviously this may results in a bigger publish size.

Try to experiment with both compression method to obtain the desired output.

By default Flash Demo Builder will automatically select GIF compression method when you open an image with BMP or GIF extension.

Click Apply to all photos to apply the same compression to all images within the presentation.


Sound Properties Window

Double click on the sound object in Preview window (only when the sound is attached to a button) or in Timeline to open a Sound Properties Window.

Browse

To choose another sound/music file.

Play

To play the sound

Stop

To stop playing the sound

Record

To record a voice from a microphone. Please make sure your microphone is ready and turned on. Speak as soon as you click the Record button to minimize the silent at the beginning of the recorded voice.

Compression settings

To choose a different sound compression settings. When clicked a Sound compression window will open.

Compress sound

To enable/disable sound compression. If it is disabled, Flash Demo Builder will try to preserve the original sound quality.

Frequency

The sound frequency

Channel

The sound number of channels

Apply to all sound

To apply the same compression to all sounds within the presentation

Play mode

To change how the sound is going to be played. There are three options:

· Show play button after x seconds

A button will show up after x seconds. When the button is pressed, the sound will play.

· Play after x seconds

Play the sound after x seconds.

· Pause at start

Do not play the sound.

· Play after the end of slide (Background music)

The sound will play even after the end of the slide. This is useful as a background music which plays for a period of time.

Play duration mode

To change how long the sound will play. This option is only enable when Play mode is set to Play after x seconds or Pause at start.

Loop

To make the sound to be played in a loop.

Play slide while recording

When this is checked, as soon as you press Record button, the current slide will also starts playing in the preview box, allowing you to synchronize the recording with the slide playback.


Voice Narration Properties Window

Click on Insert a Voice Narration button at Side Toolbar to bring up the Sound Properties Window.

Play

To play the sound

Stop

To stop playing the sound

Record

To record a voice from a microphone. Please make sure your microphone is ready and turned on. Speak as soon as you click the Record button to minimize the silent at the beginning of the recorded voice.

Play mode

To change how the sound is going to be played. There are three options:

· Show play button after x seconds

A button will show up after x seconds. When the button is pressed, the sound will play.

· Play after x seconds

Play the sound after x seconds.

· Pause at start

Do not play the sound.

Play duration mode

To change how long the sound will play. This option is only enable when Play mode is set to Play after x seconds or Pause at start.

Play slide while recording

When this is checked, as soon as you press Record button, the current slide will also starts playing in the preview box, allowing you to synchronize the recording with the slide playback.


Shape Properties Window

Double click on the shape (circle/rectangle/rounded rectangle/highlight/clipart) object in Preview window or in Timeline to open a Shape Properties Window.

Alpha

To set the transparency. 100% is a completely transparent.

Fill color

Check/uncheck to enable/disable the fill.

To change the shape fill color. Not all callout have a fill color.

Stroke color

Check/uncheck to enable/disable the stroke.

To change the shape stroke color. Not all shape have a stroke color.

Content

To type in the shape content.

Show after

The time the object will start showing.

Show type combo

To change how the object will show. There are two options:

· Show For x seconds

The object will only show for the duration of x second where you can type in the duration value.

· Show Forever

The object will show as long as the slide is running.

When clicked

To choose an action to perform when the object is clicked. There are 6 options:

· Do nothing
· Open a website

This is useful to make a web link.

· Goto a slide

To jump to a specific slide.

· Play

This will play the currently paused slide.

· Pause

This will pause the currently playing slide.

· Send email

This is useful to make an email link which will open an email client when clicked.

Fade In

To show the object with a fade in effect.

Fade Out

To hide the object with a fade out effect at the end of its duration.

Note that to be able to use fade out you must make sure the object duration is at at least one frame less than the page duration and the object show type is not set to Show Forever.


Mouse Cursor Properties Window

Double click on the mouse cursor object in Preview window or in Timeline to open a Mouse Cursor Properties Window.

A mouse cursor is an animation which show the mouse cursor movement. It is very useful for screen capture demonstration.

Have mouse cursor

To enable/disable mouse cursor.

Mouse cursor selection

Click to choose the desired mouse cursor.

Mouse movement path

Straight/Curved

Play click sound at the stop position.

When checked, a click sound will play when the mouse cursor reached the stop position.

Show click animation

When checked, a flashing click animation will show when the mouse cursor reached the stop position.

Start position is the same as previous slide stop position

To automatically use the last slide mouse cursor stop position as the current start position. This is useful for a series of slide containing continuous demonstration which involved mouse cursor movement. This will make sure the mouse cursor travel continuously through those slides.

Show mouse cursor before the play time

To show/hide mouse cursor before the play time. When checked, the mouse cursor will show and stay at the start position and will start moving at the play time.

Play time

The time when the mouse cursor starts moving

Duration

The duration how long the mouse cursor will move until it reached the stop position

Apply same movement path, click sound and animation to other pages

As described in the button name.


Text Rollover Properties Window

A text rollover object has two components. A rectangular mouse detection area and a callout object called a tooltips text. The mouse detection area is used to detect a mouse movement. If detected, the callout object will show.

Editing the tooltips text properties

Double click on the tooltips object. Note that this tooltips will not be visible in Timeline.

Editing the text rollover properties

Double click on the mouse detection area

Show tooltips text

To show/hide the tooltips text

Play a sound

To play/not play a sound when the mouse is over the detection area

The sound will not be visible in Timeline


Image Rollover Properties Window

An image rollover object has two components. A rectangular mouse detection area and an image object called a tooltips image. The mouse detection area is used to detect a mouse movement. If detected, the tooltips object will show.

Editing the tooltips image properties

Double click on the tooltips image object. Note that this tooltips will not be visible in Timeline.

Editing the image rollover properties

Double click on the mouse detection area

Show tooltips image

To show/hide the tooltips image

Play a sound

To play/not play a sound when the mouse is over the detection area

The sound will not be visible in Timeline


Video Properties Window

Double click on the video object in Preview window or in Timeline to open a Video Properties Window.

This window will also be opened everytime you insert a video file.

Browse

To choose a video file

Import audio

To enable/disable audio

Please make sure you have the original video file when you change this option as the video needs to be re-encoded.

Selected video range

To select the range of video you want to be imported. You can also adjust the start and stop range by dragging the start and stop range arrow underneath the video navigation slider.

Please make sure you have the original video file when you change this option as the video needs to be re-encoded.

Compression settings

To set the video/audio compression quality. The better the quality, the bigger the resulting published file size.

Please make sure you have the original video file when you change this option as the video needs to be re-encoded.

Show after

The time the object will start showing.

Show type combo

To change how the object will show. There are two options:

· Show For x seconds

The object will only show for the duration of x second where you can type in the duration value.

· Show Forever

The object will show as long as the slide is running.

When clicked

To choose an action to perform when the object is clicked. There are 6 options:

· Do nothing
· Open a website

This is useful to make a web link.

· Goto a slide

To jump to a specific slide.

· Play

This will play the currently paused slide.

· Pause

This will pause the currently playing slide.

· Send email

This is useful to make an email link which will open an email client when clicked.

Fade In

To show the object with a fade in effect.

Fade Out

To hide the object with a fade out effect at the end of its duration.

Note that to be able to use fade out you must make sure the object duration is at at least one frame less than the page duration and the object show type is not set to Show Forever.


Short Answer Quiz Properties Window

A short answer quiz consists of six components.

· Quiz controller (in blue color)

It controls the operation of the short answer quiz object. Double click on this object to edit the quiz behavior.

· Question text

It is a standard text object. Double click to edit them as a text.

· Text Entryfield

It is a standard text entry object. Double click to edit them as an entryfield.

· Submit Button

It is a standard button object. Double click to edit them as a button.

· Correct Callout

It is a standard callout object. Double click to edit them as a callout.

· Incorrect Callout

It is a standard callout object. Double click to edit them as a callout.

Short Answer Quiz controller Properties Window

Correct answer

To set the correct answer

Case sensitive

To set whether the answer is/is not case sensitive

On correct answer

Add score by

The score to be added when the answer is correct

Show correct notification

To show/hide the correct callout object when the answer is correct

On wrong answer

Deduct score by

The score to be deducted when the answer is wrong

Number of attempt allowed

The number of attempt user is allowed before making the correct answer.

Show wrong notification

To show/hide the incorrect notification when the answer is wrong

Replay from the start of the slide

To replay/ not replay from the start of the slide if the answer is wrong. This option is useful if you have an instruction/tips showing before the start of the quiz object and you want them to be repeated when the user is making a wrong answer.

Show notification for

How long to show the correct/incorrect notification for

Have time limit of

To enable/disable time limit. When enabled, you can specify how long the time limit is.

When time limit is reached, deduct score by

The score to be deducted when the time limit is reached


Button Properties Window

Double click on a button object in Preview window or in Timeline to open a Button Properties Window.

For a Submit button belong to a quiz object, there will not be a timing and duration control but for a button you insert from Insert menu, there will be a timing and duration control you can use to adjust when and how long the button will show on the slide.

Font settings

At the top of the window you will see the common text settings control such as Font, size, bold, italic, underline, alignment and color.

Alpha

To set the text transparency. 100% is a completely transparent.

Button text

To type in the button text

#PAGE# = To insert the page number

#QUESTION_NUMBER# = To insert the current quiz number. Eg: The first quiz will have QUESTION_NUMBER = 1, the second quiz will be 2, etc.

Button type

Click Change button to choose a button type.

Background color

To choose a button background color

Border color

To choose a button border color

Apply font and button style to other buttons

When checked, clicking OK button will apply the changes to font settings and button style above to all button objects within the presentation.


Text EntryField Properties Window

Double click on a text entryfield object in Preview window or in Timeline to open an Entry Field Properties Window.

Font settings

At the top of the window you will see the common text settings control such as Font, size, bold, italic, underline, alignment and color.

Alpha

To set the entryfield transparency. 100% is a completely transparent.

Default text

To type in the default text which will show initially.


Click Area Quiz Properties Window

A click area quiz consists of three components.

· Quiz controller (in blue color)

It controls the operation of the click area quiz object. The quiz controller is also a click area where the quiz expect the user to click.

Double click on this object to edit the quiz behavior.

· Correct Callout

It is a standard callout object. Double click to edit them as a callout.

· Incorrect Callout

It is a standard callout object. Double click to edit them as a callout.

Click Area Quiz controller Properties Window

On correct answer

Add score by

The score to be added when the answer is correct

Show correct notification

To show/hide the correct callout object when the answer is correct

On wrong answer

Deduct score by

The score to be deducted when the answer is wrong

Number of attempt allowed

The number of attempt user is allowed before making the correct answer.

Show wrong notification

To show/hide the incorrect notification when the answer is wrong

Replay from the start of the slide

To replay/ not replay from the start of the slide if the answer is wrong. This option is useful if you have an instruction/tips showing before the start of the quiz object and you want them to be repeated when the user is making a wrong answer.

Show notification for

How long to show the correct/incorrect notification for

Have time limit of

To enable/disable time limit. When enabled, you can specify how long the time limit is.

When time limit is reached, deduct score by

The score to be deducted when the time limit is reached


Keypress Quiz Properties Window

A click area quiz consists of three components.

· Quiz controller (in blue color)

It controls the operation of the keypress quiz object. Double click on this object to edit the quiz behavior.

· Correct Callout

It is a standard callout object. Double click to edit them as a callout.

· Incorrect Callout

It is a standard callout object. Double click to edit them as a callout.

Click Area Quiz controller Properties Window

Correct key press

The key you expect the user to press. To define a key, click mouse button in this control and press the desired button. Note that some buttons are not supported by Flash.

On correct answer

Add score by

The score to be added when the answer is correct

Show correct notification

To show/hide the correct callout object when the answer is correct

On wrong answer

Deduct score by

The score to be deducted when the answer is wrong

Number of attempt allowed

The number of attempt user is allowed before making the correct answer.

Show wrong notification

To show/hide the incorrect notification when the answer is wrong

Replay from the start of the slide

To replay/ not replay from the start of the slide if the answer is wrong. This option is useful if you have an instruction/tips showing before the start of the quiz object and you want them to be repeated when the user is making a wrong answer.

Show notification for

How long to show the correct/incorrect notification for

Have time limit of

To enable/disable time limit. When enabled, you can specify how long the time limit is.

When time limit is reached, deduct score by

The score to be deducted when the time limit is reached


Multiple Choice Quiz Properties Window

A multiple choice quiz consists of at least six components.

· Quiz controller (in blue color)

It controls the operation of the multiple choice quiz object. Double click on this object to edit the quiz behavior.

· Question text

It is a standard text object. Double click to edit them as a text.

· One or more choice text

It is a multiple choice's choice object. Double click to edit them as a choice.

· Submit Button

It is a standard button object. Double click to edit them as a button.

· Correct Callout

It is a standard callout object. Double click to edit them as a callout.

· Incorrect Callout

It is a standard callout object. Double click to edit them as a callout.

Multiple Choice Quiz controller Properties Window

Number of choices

The number of choices. Click add button to increase and delete button to decrease. You can also delete the choice manually from the preview window.

To nominate one or more choices as correct answers, double click to edit the choice from Preview window and set them as correct answers.

On correct answer

Add score by

The score to be added when the answer is correct

Show correct notification

To show/hide the correct callout object when the answer is correct

On wrong answer

Deduct score by

The score to be deducted when the answer is wrong

Number of attempt allowed

The number of attempt user is allowed before making the correct answer.

Show wrong notification

To show/hide the incorrect notification when the answer is wrong

Replay from the start of the slide

To replay/ not replay from the start of the slide if the answer is wrong. This option is useful if you have an instruction/tips showing before the start of the quiz object and you want them to be repeated when the user is making a wrong answer.

Show notification for

How long to show the correct/incorrect notification for

Have time limit of

To enable/disable time limit. When enabled, you can specify how long the time limit is.

When time limit is reached, deduct score by

The score to be deducted when the time limit is reached


Multiple choice's choice Properties Window

Double click on a multiple choice's choice object in Preview window or in Timeline to open a Choice Properties Window.

Font settings

At the top of the window you will see the common text settings control such as Font, size, bold, italic, underline, alignment and color.

Alpha

To set the text transparency. 100% is a completely transparent.

Choice text

The text which will appear as a choice.

#PAGE# = To insert the page number

#QUESTION_NUMBER# = To insert the current quiz number. Eg: The first quiz will have QUESTION_NUMBER = 1, the second quiz will be 2, etc.

Set as a correct answer

To set this answer as a correct answer.

Note that you can have more than one choice as correct answers. The user needs to check all correct answers to be considered as correct.

Box Fill

The checkbox fill color.

Box Border

The checkbox border color.


Login Quiz Properties Window

A login choice quiz consists of up to seven components.

· Quiz controller (in blue color)

It controls the operation of the login quiz object. Double click on this object to edit the quiz behavior.

· Nickname caption

It is a standard text object. Double click to edit them as a text.

· Nickname entryfield

It is a standard text entryfield object. Double click to edit them as an entryfield.

· Password caption

It is a standard text object. Double click to edit them as a text.

· Password entryfield

It is a standard text entryfield object. Double click to edit them as an entryfield.

· Submit Button

It is a standard button object. Double click to edit them as a button.

· Incorrect Callout

It is a standard callout object. Double click to edit them as a callout.

Quiz Login controller Properties Window

Login method

The login method you would like to use. There are three different login methods

· Must enter a nickname

User needs to enter a nickname. Any nickname will be accepted. This nickname will be recorded and will be used for submission if the presentation also have a quiz report object. This way the tester can associate a specific submission with a user.

· Must enter a password

User needs to enter a correct password to proceed. This is useful to protect your presentation against people you don't want to give access to.

· Must enter a nickname and password

User must enter both nickname and a correct password.


Report Quiz Properties Window

A login choice quiz consists of three components.

· Quiz controller (in blue color)

It controls the operation of the report quiz object. Double click on this object to edit the quiz behavior.

· Pass Callout

It is a standard callout object. Double click to edit them as a callout.

· Fail Callout

It is a standard callout object. Double click to edit them as a callout.

Quiz Report controller Properties Window

Quiz ID

Quiz ID is used to identify the submitted quiz report. Imagine you conducted five different online examination using Flash Demo Builder quiz and you want the quiz report to submit the student's answer into your database server. You will need a unique ID per quiz to figure out which submission is belong to which quiz. Flash Demo Builder will pass this quiz ID along with the quiz result and a nickname (if exist) into your database server. You can enter any number for a Quiz ID.

Marking scheme

Minimum pass score

The minimum score required to show pass message.

When pass

Show pass message

To show/hide the pass message.

Type in the pass message in the textbox provided. You can put a text macro %score to be replaced by Flash Demo Builder with the actual score.

You can also choose an action to be performed when the result is pass by clicking on the action listbox next to Show pass message

When fail

Show fail message

To show/hide the fail message.

Type in the fail message in the textbox provided. You can put a text macro %score to be replaced by Flash Demo Builder with the actual score.

You can also choose an action to be performed when the result is fail by clicking on the action listbox next to Show fail message

Reporting method

Choose the quiz result reporting method. There are three different methods:

· Do not submit the report
· Submit the report into own server

When selected, the report quiz will submit the quiz result into the designated URL. The designated URL ideally would be a CGI/PHP/other server script which will receive the following parameters.

· quizIDVar

The quiz ID to be submitted

· nameVar

The nickname entered at login quiz (if any)

· scoreVar

The final score

· isPassVar

Contains 1 if pass and 0 if fail.

· totaltimeVar

Total time to complete the test since login (if any) in second unit.

· startTimeVar

The start time of the test (since login, if any) in second unit.

· emailVar

Reserved for future use

The submitted URL will look something like this

http://www.fdb.com?quizIDVar=521&nameVar=johnysmith&scoreVar=25&isPassVar=60&totaltimeVar=3600&startTimeVar=10:25:11&emailVar=michael@hotmail.com

· Send the report to my email

To submit the report as an email. When this option is selected, user's email client will be launched containing the information to be submitted.


Slide Properties Window

You can open slide properties window by clicking on the [image] button at the Side Toolbars or via Slide => Slide Properties menu.

Slide duration

The duration of the slide in seconds.

The slide duration cannot be less than the maximum object exit time within the slide. An unacceptable value will be trimmed automatically.

Pause playback at the end of this slide

To pause the slide at the end of the slide playback.

Jump to the next slide at the end of this slide

To make the slide jump to the next at the end of its duration.

Pause playback at the start of this slide

To pause the slide playback at the start of this slide

Enable slide navigation in this slide

To enable/disable the slide navigation in this slide. This is useful if you don't want user to skip/navigate randomly by using the navigation button, especially when the presentation contains quizzes.


Project Settings Window

You can get here by clicking the [image] button at the Side Toolbars or via Project => Project Settings menu.

Presentation title

To type in the presentation title.

Thumbnail

To choose an image as a presentation thumbnail. Presentation thumbnail will only get used when exporting a thumbnail for publishing HTML file and also for DVD menu.

Have navigation control

To show/hide navigation control. A presentation with a navigation control allow user to randomly navigate through slides by using the navigation buttons.

To choose a navigation control, click the listbox underneath Have navigation control.

Customize

To customize the color and to show/hide specific buttons.

Show preloader

To show a preloader while the presentation is loaded when presented online.

Play presentation as soon as possible

Play the presentation as soon as the first slide become available (downloaded). This feature is only available when you choose to show a preloader.

Play presentation after it is fully downloaded

Play the presentation as soon as the whole presentation is available (downloaded). This feature is only available when you choose to show a preloader.

When finish

Choose an action to be performed at the end of the presentation. There are five options to choose from:

· Stop

Stop the presentation and do nothing

· Replay from beginning

Reply the presentation from the beginning

· Email to

To open an email client to be ready to send email.

· Goto slide

Jump to a specific slide.

· Open a website

Open a website requested.

· Show replay button

To show a replay button. When clicked the presentation will be replayed from the beginning.

When you select this option, three color box where you can set the replay button color will appear. A textbox to type in the button text will also appear.


Quiz Manager Window

You can get here by clicking [image] button at the Side Toolbars or by right clicking on any Quiz object and choose Quiz Manager menu item.

Enable slide navigation during playback

To enable/disable navigation for all slides.

Enable LMS (SCORM) tracking

To enable/disable LMS (SCORM) tracking. When enabled, the published SWF file will be made compatible to LMS (SCORM) tracking. You will need to ask your system administrator to integrate the exported HTML into your LMS system.


Preferences Window

You can get here via Project => Preferences menu.

Show startup dialog

To show/hide the startup dialog

Automatically log me in when using FDB online service

To enable/disable automatic login when using sending email feature.


Publishing

Flash Demo Builder has a vast range of publishing options accessible via Publish menu.

· Publishing as an HTML file
· Publishing as an executable file
· Publishing as a DVD movie
· Publishing as an autorun CD/DVD
· Publishing as a movie file
· Upload online
· Send by Email
· Export into MS Word document


Publishing as an HTML file

Flash Demo Builder will publish the presentation as an HTML, SWF (Flash animation) and a JPEG file. The flash animation supports streaming (playing while downloading).

You can get here via Publish => HTML File menu.

Browse

To specify the target folder

File name

The HTML, SWF and the thumbnail filename.

Page title

The HTML page title

Background color

The HTML page background color

Compression settings

To open a presentation compression window

Click OK to start publishing.

You will see three files in the target folder as a published results. An HTML, SWF and a JPEG file.


Publishing as an executable file

Flash Demo Builder executable will run on any PC running Win98/Me/NT/2000/XP without the need to install additional software. You can customize the executable with your company logo, website address and a serial number/time trial protection.

Browse

To specify the published filepath.

Play full screen

To enable/disable fullscreen playback

Compression settings

To open a presentation compression window.

Registration/splash screen settings

To open the executable customization window.

Click OK to start publishing.


Publishing as a DVD movie

Publishing as a DVD movie allow you to show your presentation on TV using a standard DVD player. Flash Demo Builder allows you to put multiple presentation into a DVD disc. You have options to either play the presentation one after another or have a DVD menu. The resulting DVD will play exactly the way you preview the presentation with all its animation/video/sound.

Publishing a DVD requires you to save the currently edited presentation. It will automatically asked you to do so if you have not.

1. Selecting project file(s) to publish

Use the Add/remove button to add/remove project to be made into a DVD. Use the up and down arrow at the upper right corner of the window to reorder the presentation.

By default, the currently edited presentation is added to the list.

2. Video system

Select a video system (PAL/NTSC) and a display size (4:3 or a widescreen 16:9 TV).

3. DVD Menu

Flash Demo Builder allow you to add a DVD menu to show all available presentation for viewer to choose for playback.

Check Have DVD menu to enable this feature and click Setup button to go to the menu layout editor to change its layout/background/thumbnails/etc.

4. Safety Zone

Most TV have an invisible margin called a safety zone. A DVD movie area outside this margin will not be visible. To make sure that the presentation is fully visible within the safety zone margin, Flash Demo Builder allows you to precisely specify the margin.

Click Setup button to open the Safety Zone Editor.

Click OK button to start making the DVD.


Publishing as an autorun CD/DVD

Flash Demo Builder autorun CD/DVD will run on any PC running Win98/Me/NT/2000/XP without the need to install additional software. You can customize the CD/DVD with your company logo, website address and a serial number/time trial protection.

Play full screen

To enable/disable fullscreen playback

Compression settings

To open a presentation compression window.

Registration/splash screen settings

To open the executable customization window.

Click OK to start publishing.

List of CD/DVD writer available will be made available within the Drive list. Please choose the right drive and the number of copy you want to make. Insert the CD/DVD disc and click Write CD.

You can also make the output as a CD/DVD image without burning them into a disc by checking Make image file only.


Publishing as a movie file

Publishing as a movie file allow you to further edit or combine the presentation with other videos using your favourite video editing tools such as Adobe Premiere.

Publishing as a movie file requires you to save the currently edited presentation. It will automatically asked you to do so if you have not.

1. Selecting video dimension and format

Width

The output video width

Height

The output video height

Keep aspect ratio

To keep the output dimension aspect ratio the same as the presentation dimension

Codec

To choose the AVI codec. To be able to produce a DivX AVI, you need to download the divx codec.

2. Safety Zone

To add a margin around the published movie.

3. Output folder

The output folder where the movie file will be saved.


Upload online

This feature allows you to upload the presentation on your website via built-in FTP client.

First type in the presentation name, then change the FTP settings by clicking the FTP settings button.

FTP Site

The ftp site address

Username

The ftp account username

Password

The ftp account password

Upload directory

The ftp account upload directory

Passive

To enable/disable the FTP upload passive mode. Depending on your ISP you might need to enable/disable this option.

Compression settings

To open a presentation compression window.

Preview

To preview the presentation to be uploaded

Start Upload

To start uploading. Please make sure you are connected to the internet. If you install a virus protection/firewall you might be asked to give access to Flash Demo Builder to connect to the internet.


Send by Email

This feature allows you to send the presentation using Flash Demo Builder (aka FDB) email service. The recipient will receive an email notification containing a web link to view the presentation online. They will not need to install any additional software to view the presentation.

Whenever you try to access this feature, you will be asked to sign in to FDB online service. FDB online service is FREE for a registered customer. The above image shows a sign up window which will open when you try to send an email.

Click Sign Up button if you already purchase Flash Demo Builder and have not yet sign up for an FDB online service.

If you already signed up, enter your username and password and click Sign In.

Check Automatically sign me in next time to automatically fill in the username/password and login on your behalf next time you use this feature.


Export into MS Word Document

This feature allows you to publish your presentation as a Word document to be printed out or to combine them with other Word document.

Note that you must have Microsoft Word installed to use this feature.

Layout

To choose the Microsoft Word page layout. 2x2 layout will export 4 slides into 2 rows, 2 columns per page.

Export Range

All slides

Export all slides

Current slide

Export current slide only

Selected slides

Enter range of slide(s) to export. Eg: 1,2,3-5

Output path

The Microsoft Word output filepath.

Click OK to start converting. During the conversion time a Microsoft Word will appear. It is strongly recommended that you did not use the computer during the conversion as this might effect the export quality.


Presentation Compression Window

Here you can adjust the overall photo and sound compression.

The lower the compression quality, the smaller the published file.

Note that when you check Compress photo, the published quality settings in this dialog box will be used to compress all images (background and non background image) during publication. Image compression settings will not be modified but instead it will not get used during publication. However, the original image compression quality will be used instead if it is lower than the published compression quality.

Same rule is applied to Sound compression.


Customizing executable/autorun CD/DVD

You can customize your interactive CD splash window with your detail, website address and company logo. To do this, click Settings button next to Registration / splash screen settings at Publish an executable or Publish as an autorun CD/DVD window. For simplicity we will call this executable or autorun CD/DVD as a viewer.

Splash screen

A splash screen is a window which will appear when your viewer is launched.

Always show splash screen window

Uncheck this setting to show splash screen only when required, for example when asking user to enter registration code. Otherwise the splash screen will always show up every time the viewer is executed.

Title

The title appear on the viewer splash screen.

Company Name/Author

This will also appear on the viewer splash screen.

Logo

Check to have a logo.

· To0No registration required and never expires

Your viewer does not require user to enter a registration code and it will never expires.

· Need registration code to run

User will be asked for a registration code before he can run your viewer.

· Expired in ... days

Your viewer will expire in x days. When the time comes, a window will show up notifying user that his/her viewer is expired.

If you want to allow user to enter a registration code to continue using your viewer when it expires, check allow user to enter registration code to remove expiration.

Registration code

Registration code to unlock his/her viewer.


DVD Menu Layout Editor

Here you will be able to change the menu layout, add music, change background and also set the temporary folder for publishing.

Title

To type in the menu title

Theme

To choose a preset theme. A theme will automatically choose background and layout for you.

Background

To choose a background from a background library or from own image file.

Brightness

To adjust the background brightness

Layout

To choose the DVD menu layout

Pick a song

To choose a music file either from a CD soundtrack or any MP3 file.

Trim to

To trim the music at the selected duration.

Thumbnail and text customization

By default all presentation thumbnail and title will be used in the DVD menu as a menu thumbnail and caption. To change them, simply click on the thumbnail or the caption. You can also change the menu title and the Play All text by clicking on them.

Click the < and > button underneath the preview to navigate to the next DVD menu page (if any)

Preview

To preview the current DVD menu page in a larger window.

Output folder

It is a folder used to store temporary files during publishing. Make sure you choose a folder on a drive that has the required space as stated underneath the output folder text.

Delete temporary file after finish.

This is useful if for some reason the DVD burner is not detected by Flash Demo Builder. By unchecking this option, the intermediate MPEG files will not be deleted so you can burn them into a DVD movie by using other specialized burning software such as Nero.


Safety Zone Editor

Here you can adjust the safety zone for the movie you are about to publish.

The black area represent the area outside the safety margin. Flash Demo Builder will resize the presentation to fit the blue area.

Type in the left, top, right, bottom value to adjust them.

Reset offset

To reset the offset to the default value

Note that each TV screen has its own safety margin so you need to experiment to find the right value. However the default value supplied by Flash Demo Builder is commonly used by large number of TVs.


Screen Capturing

Flash Demo Builder allows you to take a screen capture easily. The resulting screen capture may include the full motion recording, mouse cursor movement, etc depending on the settings you supplied.

Recording Mode

There are two different recording mode.

· Manual

This recording mode will only take a screen capture whenever you press a PrintScreen or other designated keyboard button. It will not insert an auto caption, mouse click highlight and mouse movement. This mode is useful if you need to take screenshot(s) that does not require you to show the mouse or keyboard operation.

· Automatic

This recording mode will automatically take a screenshot, insert auto caption, mouse click highlight and mouse movement depending on any keyboard and mouse activity. You can still do a manual screenshot by pressing the PrintScreen or other designated keyboard button. This is very useful to speed up the creation of a software demonstration that require you to show mouse clicking, mouse movement, etc. You can customize the automatic mode to enable/disable auto caption, mouse click highlight, etc by clicking the Edit button next to the automatic capturing style or you can simply select three provided presets.

· Demonstration

When choosing this preset, a mouse movement, auto caption and mouse click highlight will be added. This is suitable for making a demonstration of a software operation.

· Training

A training mode will automatically add a click boxes with failure/success and hint captions. When you choose this preset, for each mouse click activity a hint caption will show asking viewer to click on the same mouse location. When they make a mistake a failure caption will show up and they needs to redo the operation until they get it right, the success caption will show up and the presentation will continue. This is very useful to conduct an e-learning to teach how operate a software.

· Assessment

An assessment mode will automatically add a click boxes with failure/success but without hint caption and mouse movement. When you choose this preset, for each mouse click activity, viewer is expected to click on the same location without any hint caption. When they make a mistake or a correct answer a failure/success caption will show up and the presentation will continue. This is useful to conduct an e-learning examination to assess someone's knowledge in how to operate a software.

You can further customize each of the three modes above by clicking on Edit button next to the combobox.

Recording Area

· Fullscreen

Record the whole screen

· Application window

Record an application window area

· Custom area

Record a custom area

Screen Resolution

You can use this to change the desktop resolution before the capturing takes places. It is very handy to use a smaller screen resolution if your desired published output is small. Because when you resize a full screen capture in high desktop resolution into small published output, all the text and buttons will be very small making it hard to read. By changing into a small desktop resolution, Microsoft Windows will automatically make all button and text much bigger, thus the resized capture result will still show a clear button and text.

When you select anything other than "Do not modify", your monitor will switch into the desired resolution as soon as you start capturing and will be restored when you finish capturing.

Note that sometimes the desired resolution is not supported by your monitor. In this case, the closest resolution will be automatically chosen.

Sounds an visual settings

Color style

To choose the recording color style. The color style includes the auto caption, success and failure captions color.

Click Edit next to color style listbox to customize the font settings and color for auto caption, success and failure captions.

Record mouse click sound

To record the mouse click sound

Record keystrokes sound

To record the keyboard typing sound when doing full motion recording on a keyboard typing operation

Hear camera sounds during recording

To hear camera snapshot sounds during recording

Hide system tray icon

To show/hide recording system tray icon. When the icon is hidden you need to press Ctrl + End or your designated button to end the capturing session.


Full Motion

One unique feature of Flash Demo Builder is being able to do a full motion capture. When full motion capture is on, Flash Demo Builder will automatically capture series of screenshot per time interval, allowing operation such as drag and drop, scroll bar dragging, drawing, resizing to be captured smoothly. The capture result can be quite big, depending on the duration of capture and the capture dimension so please use it wisely. When capturing with automatic mode, Flash Demo Builder will decide when to do a full motion capture based on mouse and keyboard activity. Eg: when you click and drag a mouse button or when you typing on keyboard. Press F9 to manually start a full motion capture and F10 to stop. The capture icon as shown above will flash when the full motion capture is currently on.

Capture a full motion clip when

This specify when to start doing the full motion capture

Full motion clip smoothness

This specify how smooth the full motion clip will be. When you set it to very smooth, Flash Demo Builder will take more snapshot per second resulting a much smoother but bigger full motion clip.

Full motion clip visual quality

To choose whether to use 16 or 32 bit color full motion clip. 16 bit color is smaller in size but lower in quality.


Record Keys

Here you will set the keyboard keys to start recording, stop recording, manually capture a screenshot and to start/stop full motion recording.

To set the key, click on the keybox and press the desired key.


Start Recording

Click OK to enter the recording/capturing process

A capture window will show. Here you will specify which screen area you want to capture. You can either select a running application window by clicking on Select and application to capture button, resize and drag the red capture window manually or by dragging the smart snap cursor [image] into any window (main application window or a child window within an application).

Click Start Capturing button to start.

If you are creating a new project, a window where you can select a project dimension will show up. Most of the time you will use the same project dimension as the capture area. In this case, simply click OK to close the window. However when you are capturing a full screen area and you want to publish it on the website, you may want to resize the capture result to a user friendly size such as not bigger than 640x480.

Go here to know more about this window.

You can end the capturing session by clicking on the icon as at the bottom right corner of your desktop as shown below or by pressing a Ctrl + End button.

One unique feature of Flash Demo Builder is being able to do a full motion capture. When full motion capture is on, Flash Demo Builder will automatically capture series of screenshot per time interval, allowing operation such as drag and drop, scroll bar dragging, drawing, resizing to be captured smoothly. The capture result can be quite big, depending on the duration of capture and the capture dimension so please use it wisely. When capturing with automatic mode, Flash Demo Builder will decide when to do a full motion capture based on mouse and keyboard activity. Eg: when you click and drag a mouse button or when you typing on keyboard. Press F9 to manually start a full motion capture and F10 to stop. The capture icon as shown above will flash when the full motion capture is currently on.

Note that capturing a large screen area is a very CPU intensive process. It is recommended to apply a slight delay (0.1 second) between mouse click or keyboard press. If you experience some mouse click/keyboard press is skipped during automatic capture, please try again with a longer delay.

You can always do another screen capture and add the result into existing presentation.


Preparing a Quiz

Flash Demo Builder allows you to build a quiz/survey using the powerful quiz feature. There are four different type of quiz questions may be inserted:

· Click Area

An invisible rectangular area where user needs to click to pass the question.

· Keypress

User needs to press a specific keyboard button to pass the question.

· Short Answer

A text question will show. User need to answer the question by typing into the provided text entryfield and press the Submit button.

· Multiple Choice

A text question will show with several multiple choice answers. User need to check the correct multiple choice answer. Flash Demo Builder support more than one correct multiple choice answer.

Flash Demo Builder allows you to insert two special quiz objects to provide login/password system, track and submit the quiz report.

· Login object

Login object allows you to show a login system where user needs to enter a nickname and/or password. This way you can restrict access to your quiz only to people who knows the password. Login object also record the nickname entered by user and will pass it to Report object (if any) to be submitted via email or to a database server. Thus you can identify the quiz submission based on their nickname.

There can only be one Login object per presentation and ideally you want to place it before any of the quiz question.

· Report object

Report object allows you to show user their quiz result. A pass/fail message together with the score may be shown to user.

Report object also allows you to submit the quiz result via email or into a database server (HTML submission).

Making the quiz layout consistent throughout slides is a pretty time consuming job. Flash Demo Builder makes it easy by offering a specialized alignment and resizing tools for quiz objects.

More about quiz alignment and resizing tools, go here.


Click Area

A click area quiz consists of three components.

· Quiz controller (in blue color)

It controls the operation of the click area quiz object. The quiz controller is also a click area where the quiz expect the user to click.

Double click on this object to edit the quiz behavior.

· Correct Callout

This callout will show when user is making right answer.

· Incorrect Callout

This callout will show when user is making wrong answer.

Click Area Quiz controller Properties Window

On correct answer

Add score by

The score to be added when the answer is correct

Show correct notification

To show/hide the correct callout object when the answer is correct

On wrong answer

Deduct score by

The score to be deducted when the answer is wrong

Number of attempt allowed

The number of attempt user is allowed before making the correct answer.

Show wrong notification

To show/hide the incorrect notification when the answer is wrong

Replay from the start of the slide

To replay/ not replay from the start of the slide if the answer is wrong. This option is useful if you have an instruction/tips showing before the start of the quiz object and you want them to be repeated when the user is making a wrong answer.

Show notification for

How long to show the correct/incorrect notification for

Have time limit of

To enable/disable time limit. When enabled, you can specify how long the time limit is.

When time limit is reached, deduct score by

The score to be deducted when the time limit is reached


Keypress

A click area quiz consists of three components.

· Quiz controller (in blue color)

It controls the operation of the keypress quiz object. Double click on this object to edit the quiz behavior.

· Correct Callout

This callout will show when user is making right answer.

· Incorrect Callout

This callout will show when user is making wrong answer.

Click Area Quiz controller Properties Window

Correct key press

The key you expect the user to press. To define a key, click mouse button in this control and press the desired button. Note that some buttons are not supported by Flash.

On correct answer

Add score by

The score to be added when the answer is correct

Show correct notification

To show/hide the correct callout object when the answer is correct

On wrong answer

Deduct score by

The score to be deducted when the answer is wrong

Number of attempt allowed

The number of attempt user is allowed before making the correct answer.

Show wrong notification

To show/hide the incorrect notification when the answer is wrong

Replay from the start of the slide

To replay/ not replay from the start of the slide if the answer is wrong. This option is useful if you have an instruction/tips showing before the start of the quiz object and you want them to be repeated when the user is making a wrong answer.

Show notification for

How long to show the correct/incorrect notification for

Have time limit of

To enable/disable time limit. When enabled, you can specify how long the time limit is.

When time limit is reached, deduct score by

The score to be deducted when the time limit is reached


Short Answer

A short answer quiz consists of six components.

· Quiz controller (in blue color)

It controls the operation of the short answer quiz object. Double click on this object to edit the quiz behavior.

· Question text

This text contains the question you want to show to user.

· Text Entryfield

This text entryfield is for user to type in the answer.

· Submit Button

This button is for user to press to submit the typed answer.

· Correct Callout

This callout will show when user is making right answer.

· Incorrect Callout

This callout will show when user is making wrong answer.

Short Answer Quiz controller Properties Window

Correct answer

To set the correct answer

Case sensitive

To set whether the answer is/is not case sensitive

On correct answer

Add score by

The score to be added when the answer is correct

Show correct notification

To show/hide the correct callout object when the answer is correct

On wrong answer

Deduct score by

The score to be deducted when the answer is wrong

Number of attempt allowed

The number of attempt user is allowed before making the correct answer.

Show wrong notification

To show/hide the incorrect notification when the answer is wrong

Replay from the start of the slide

To replay/ not replay from the start of the slide if the answer is wrong. This option is useful if you have an instruction/tips showing before the start of the quiz object and you want them to be repeated when the user is making a wrong answer.

Show notification for

How long to show the correct/incorrect notification for

Have time limit of

To enable/disable time limit. When enabled, you can specify how long the time limit is.

When time limit is reached, deduct score by

The score to be deducted when the time limit is reached


Multiple Choice

A multiple choice quiz consists of at least six components.

· Quiz controller (in blue color)

It controls the operation of the multiple choice quiz object. Double click on this object to edit the quiz behavior.

· Question text

This text contains the question you want to show to user.

· One or more choice text

This choice is a combination of a checkbox and a text which serves as one of the multiple choice selection. Double click on this object to open up its properties window where you can set this choice as the right answer.

· Submit Button

This is a button for user to press to submit their answer.

· Correct Callout

This callout will show when user is making right answer.

· Incorrect Callout

This callout will show when user is making wrong answer.

Multiple Choice Quiz controller Properties Window

Number of choices

The number of choices. Click add button to increase and delete button to decrease. You can also delete the choice manually from the preview window.

To nominate one or more choices as correct answers, double click to edit the choice from Preview window and set them as correct answers.

On correct answer

Add score by

The score to be added when the answer is correct

Show correct notification

To show/hide the correct callout object when the answer is correct

On wrong answer

Deduct score by

The score to be deducted when the answer is wrong

Number of attempt allowed

The number of attempt user is allowed before making the correct answer.

Show wrong notification

To show/hide the incorrect notification when the answer is wrong

Replay from the start of the slide

To replay/ not replay from the start of the slide if the answer is wrong. This option is useful if you have an instruction/tips showing before the start of the quiz object and you want them to be repeated when the user is making a wrong answer.

Show notification for

How long to show the correct/incorrect notification for

Have time limit of

To enable/disable time limit. When enabled, you can specify how long the time limit is.

When time limit is reached, deduct score by

The score to be deducted when the time limit is reached

Please make sure you read the Quiz Alignment and Resize Tools to read an information about the important tools to align/resize quiz objects easily.


Login Object

A login choice quiz consists of up to seven components.

· Quiz controller (in blue color)

It controls the operation of the login quiz object. Double click on this object to edit the quiz behavior.

· Nickname caption

This is the nickname text caption.

· Nickname entryfield

This is a text entryfield for user to type in their nickname

· Password caption

This is the password text caption.

· Password entryfield

This is a text entryfield for user to type in their password

· Submit Button

This is a button for user to press to submit the login details.

· Incorrect Callout

This callout will show when user is entering the wrong login details.

Quiz Login controller Properties Window

Login method

The login method you would like to use. There are three different login methods

· Must enter a nickname

User needs to enter a nickname. Any nickname will be accepted. This nickname will be recorded and will be used for submission if the presentation also have a quiz report object. This way the tester can associate a specific submission with a user.

· Must enter a password

User needs to enter a correct password to proceed. This is useful to protect your presentation against people you don't want to give access to.

· Must enter a nickname and password

User must enter both nickname and a correct password.


Report Object

A login choice quiz consists of three components.

· Quiz controller (in blue color)

It controls the operation of the report quiz object. Double click on this object to edit the quiz behavior.

· Pass Callout

This callout will show when user pass the overall quiz.

· Fail Callout

This callout will show when user fail the overall quiz.

Quiz Report controller Properties Window

Quiz ID

Quiz ID is used to identify the submitted quiz report. Imagine you conducted five different online examination using Flash Demo Builder quiz and you want the quiz report to submit the student's answer into your database server. You will need a unique ID per quiz to figure out which submission is belong to which quiz. Flash Demo Builder will pass this quiz ID along with the quiz result and a nickname (if exist) into your database server. You can enter any character or number for a Quiz ID.

Marking scheme

Minimum pass score

The minimum score required to show pass message.

When pass

Show pass message

To show/hide the pass message.

Type in the pass message in the textbox provided. You can put a text macro %score to be replaced by Flash Demo Builder with the actual score.

You can also choose an action to be performed when the result is pass by clicking on the action listbox next to Show pass message

When fail

Show fail message

To show/hide the fail message.

Type in the fail message in the textbox provided. You can put a text macro %score to be replaced by Flash Demo Builder with the actual score.

You can also choose an action to be performed when the result is fail by clicking on the action listbox next to Show fail message

Reporting method

Choose the quiz result reporting method. There are three different methods:

· Do not submit the report
· Submit the report into own server

When selected, the report quiz will submit the quiz result into the designated URL. The designated URL ideally would be a CGI/PHP/other server script which will receive the following parameters/variables.

· quizIDVar

The quiz ID to be submitted

· nameVar

The nickname entered at login quiz (if any)

· scoreVar

The final score

· isPassVar

Contains 1 if pass and 0 if fail.

· totaltimeVar

Total time to complete the test since login (if any otherwise it is the time since the start of the presentation) in the following time format:

hhmmss

· startTimeVar

The start time of the test (since login, if any otherwise it is the start of the presentation) in the following date and time format:

mmddyyyyhhmmss

When this option is selected you will see a checkbox GET and POST. GET/POST are two methods of HTTP submission. POST method is more secure as user will not be able to see the report data being sent. If you are unsure which method you need to use, please consult your web administrator.

· Submit via email

When selected, the report quiz will open an email client containing the quiz report to be sent. This option is less secure than submitting via own server as user can modify the email before it is being sent.


Making a secure Quiz

Here are a few tips to make a secure quiz for a formal examination:

· Add a quiz login object with nickname and a password. This way the submitted report will have the student's nickname making it possible for you to know which submission belong to which student. The password will also protect your quiz from unauthorized students.
· Use Quiz Manager at the Side Toolbar to disable navigation control for all slides. This way, user will not be able to skip, rewind, fast forward the presentation.
· Use Report submission type Submit the report to my own server rather than Submit the report via email as Submitting the report via email will open a default Email Client Compose Email window with the quiz result automatically typed in the email body but still require user to press the Send Email button and worst they can modify the email body before pressing the Send Email button.


Resizing the Capture Result

You will come across this window when you are creating a new screen capture project.

Here you can set the dimension of your project, not necessarily the same as the capture area. Note that when then project dimension is not the same as the capture area, Flash Demo Builder will automatically resize the captured image to fit the project dimension. This may cause the captured image to look a little bit blur due to the resize process.

However this feature is very useful when you are capturing the whole desktop area and you want to put it in a smaller area in your website.

To select a different project dimension than the capture area, click on Project dimension list box.

Choose the percentage size of 25%,50%,75%,100%,150%,200% or custom. When choosing Custom you can enter the width and height of the project manually.

Lock aspect ratio is only enabled when you choose Project dimension as Custom. When it is checked you will not be able to enter the height value. The height value will automatically calculated from the width value by preserving the capture area aspect ratio.

It is important to check Lock aspect ratio when choosing Project dimension as Custom otherwise the capture result may have a blank area either on the side or at the top/bottom depending on the aspect ratio of the new dimension.

Note

Defining the right project dimension early before you start capturing like this is a more recommended method compare to resizing the project later on using Changing Project Dimension feature as it produce a smaller published size with a much better quality.


Quiz Alignment and Resize Tools

Making the quiz layout consistent throughout slides is a pretty time consuming job. Imagine this scenario, you have a 50 slides presentation with multiple choice question on each slide. Now you want to reposition the multiple choice question, space the choices wider vertically and apply these changes to all multiple choices within the 50 slides. As an educator/trainer, this kind of scenario is very often when building a quiz and manually positioning 50 multiple choices will take lots of time.

None of our competitor offers solution to this problem. To solve this problem, Flash Demo Builder offers a unique quiz alignment/resizing tools where you can find from a context menu when you right click on a quiz object or a component of a quiz object (eg: Quiz question, Quiz submit button, etc) and move to Align/Resize menu item.

You may get a slightly different menu depending on the type of quiz component you selected.

This first group of operation works on an individual quiz component. Eg: If you select a Quiz question, only Quiz question will be effected by the operation. If you select the second choice of a multiple choice object, only the second choice of all multiple choice objects within the presentation will be effected.

When selecting object other than Choices

· Apply position to other Quiz Question objects

The selected Quiz question position will be applied/copied to all Quiz questions within the presentation.

The diagram below illustrate that the position of the Quiz Question in the first slide is copied to all other slides.

· Apply size to other Quiz Question objects

The selected Quiz question size will be applied/copied to all Quiz questions within the presentation.

· Apply position and size to other Quiz Question objects

The selected Quiz question position and size will be applied/copied to all Quiz questions within the presentation.

· Align all quizzes horizontally to the selected quiz

All quizzes (with all its components) will be moved so that they are left aligned with the selected quiz.

Notice in the diagram below all Quiz Questions are not left aligned before the operation but they do after the operation. This operation will be applied to all quiz objects regardless their type.

When selecting a Choice object

This menu will appear when you right click on a choice object and move to Align/Resize menu item.

· Rearrange all Choices vertically based on first and second Choices

Space the choices vertically based on the vertical distance between the first and the second choices of the selected multiple choice quiz object. This operation will be performed on all multiple choices within the presentation.

Note that this operation does not move the first choice of all multiple choice objects.

· Apply vertical position to other same index Choice objects.

All Choice objects (only the one with the same index) within the presentation will be moved so they are top aligned with the selected choice.

Notice in the diagram that only the same index (first) Choices are made top aligned to the selected Choice on slide 1.

· Apply horizontal position to all Choice objects.

All Choice objects within the presentation will be moved so that they are left aligned to the selected choice object.

· Apply size to other Choice objects.

All Choice objects within the presentation will be made the same size as the selected choice object.

Note that this operation may change text wrapping of the resized choice object.

The next group of operation works on every components of the selected quiz object. Eg: A question, choices and submit button will all be effected if it is a multiple choice object.

· Align all quizzes vertically to the selected quiz

All quizzes (with all its components) will be moved so that they are top aligned with the selected quiz. This is very similar operation to the "Align all quizzes horizontally to the selected quiz" above.

· Align all quizzes to the selected quiz

All quizzes (with all its components) will be moved so that they are left and top aligned with the selected quiz. This is a combination of the two previous operation.

· Apply position to all similar quizzes components

All similar quizzes components will be moved to the same position of the same component in the selected quiz. Eg: If the selected quiz is a multiple choice object, all multiple choice question will be moved to where the selected multiple choice question is, all multiple choice submit button will be moved to where the selected multiple choice button is, etc.

This operation is very useful to make the exact same layout copy for all similar quizzes but keeping the original size of each components.

Note

This operation works better than "Apply position and size to all similar quizzes components" most of the time as it does not resize objects which sometimes causes a bad text wrapping for Question and Choice object.

· Apply position and size to all similar quizzes components

All similar quizzes components will be moved and resized to the same position and size of the same component in the selected quiz. Eg: If the selected quiz is a multiple choice object, all multiple choice question will be moved and resized similar to the selected multiple choice question is, all multiple choice submit button will be moved and resized similar to the selected multiple choice button is, etc.

This operation is very useful to make the exact same layout copy for all similar quizzes.

Note

This operation will resize objects which mean text object such as Question and Choice text may wrapped differently. If it proves to be a problem, try the "Apply position to all similar quizzes components" operation instead. It will move objects but will preserve the original object size.

Case Study

You may apply one operation after another to accomplish a specific task. Consider the scenario where you have 30 slides with multiple choice quiz each. You want to move the choices a little bit further to the right and to make the space between choices bigger. This scenario is illustrated in the diagram below.

First we will go to the first slide, move the first choice to the right.

With the first choice is still selected, we will now align horizontally all choices by using "Apply horizontal position to all Choice objects"

Now we move the second choice further down until we are happy with the distance between the first and the second choices.

Finally we use the distance between the first and the second choices to rearrange all choices within this presentation by using "Rearrange all Choices vertically based on first and second Choices"

And we are done. Notice that it only requires us 4 steps to complete the job. Without these tools you would have to manually move every choice objects for each multiple choice quiz in every slides which will obviously take hours to do.


Changing Project Dimension

To change project dimension, click Project => Change Project Dimension menu.

Click on Preset list box to choose a new dimension as a percentage of a current project dimension or choose Custom to type in the width and height manually.

Check lock aspect ratio to automatically calculate the Height from the current Width value. This way you can make sure that the new dimension has the same aspect ratio as the current dimension. It is strongly advised that you lock the aspect ratio so that the new dimension has the same aspect ratio as the original dimension. A different aspect ratio may produce a distorted image and background image.

Check Resize and reposition all objects to automatically move and resize all objects such as text, callout, image, clip art, etc.

Note

· Callout and text will not be resized. They will only be moved to match the new dimension. The reason is, callout and text size are automatically calculated from the amount of text and the font size.
· Resizing project dimension will not change your published size by much. It is strongly advised that you start with the right project dimension rather than resizing it later on. If you are making a screen capture project, you can set the project dimension to be different than the capture area. Go here for further discussion.


Purchasing Flash Demo Builder 1.0

A registration window will always show up when you run trial version of Flash Demo Builder.

You can also open this window by clicking on Purchase button at the top right corner of Flash Demo Builder window.

1. Get a serial number

Click 1. Click here to get a serial number... to obtain a serial number. Please make sure you are connected to the internet. An internet browser will open Flash Demo Builder purchase website.

If you already have a serial number you can skip this step.

2. Enter your serial number

Please enter your purchased serial number and click Unlock.

You might receive your serial number in your email after purchase.


Getting Help With Technical Problem

If you are having problem with installing or running Flash Demo Builder, please visit http://www.flashdemobuilder.com/support.html


Frequently Asked Question

Q: Why Flash Demo Builder?

A: Flash Demo Builder is the most powefull tools in the market today to easily and quickly build an online presentations, tutorials, demonstrations and quizzes. You can publish the result online, send it via email, burn it as a DVD video playable on TV, export as a Word document. Publish as an executable file or an autorun CD with customizable splash screen and a company logo.

Q: What features are not available in the trial version?

A: You get to try all features of Flash Demo Builder except the FREE Sending Email service.

Q: Why there is a watermark saying "Evaluation version of Flash Demo Builder" on my published presentation?

The watermark is added during your evaluation period. After you make a purchase, the watermark will disappear.

Q: Does Flash Demo Builder save my photos, sound, video and music when I save my project?

A: Yes, Flash Demo Builder will save all your photos, video, sound, music and everything used by your project so you don't need to worry about deleting/modifying file (photo, sound, video, clipart, etc) will damage your previously saved project. However for video object, only the encoded video will be saved to minimize the filesize and processing overhead.

Q: How do I purchase Flash Demo Builder?

A: Please go here

Q: My autorun CD does not play automatically when inserted into a CD-ROM. What should I do?

A: Windows 95/98 system sometimes has problem with CD-ROM autorun. When this happened, double click file play.bat inside the CD-ROM to play your show.

Q: I have a problem installing or running Flash Demo Builder, where do I get help?

A: Please visit http://www.flashdemobuilder.com/support.html

Q: Can the presentation be saved as a DVD movie?

A: Yes. You can save the presentation as a DVD movie or an AVI file. All the animation, sound and video will be preserved when making a DVD/AVI.

Q: Can I save more than one presentation in a DVD movie?

A: Yes, you can save as many presentation as you want. The only restriction is the CD capacity.

Q: I can't seems to be able to make a DVD. The DVD burning process failed. What should I do?

A: There are some old DVD burner that is not compatible to Flash Demo Builder. When this happened, uncheck "Delete temporary file" check box at the dialog box where you specify the temporary file. Flash Demo Builder will leave a VIDEO_TS folder which you can burn easily into DVD burner software such as Nero.

Q: What are the benefits of storing the presentation as a DVD compared to storing them as an autorun CD/DVD?

A: As an autorun CD/DVD, the presentation is saved as a Macromedia Flash file, hence if it has interactivity and navigation control will be fully functional. As a DVD movie, the presentation is saved as a video file, hence though it preserves all the animations but it losses its interactivity features.

Q: Can I synchronize a voice/narration recording with the slide playback?

A: Yes you can. When you record a voice/narration, there is an option to play the current slide during recording. This way you can time your speech to match with the slide playback.

Go here for more details.

Q: What is the requirement to run the software?

A: Flash Demo Builder will run in any PC with operating system any of these: Windows 98/Me/NT/2000/XP. The minimum recommended system is Pentium III 800 with 256Mb RAM.

Q: When I tried to view a presentation from a link given via email, I get a message as follows:

"There is no presentation with that identification. Make sure the URL is correct...or the photo show no longer kept in our server".

A: Each presentation can be viewed within 30 days. If the above message appears, the presentation needs to be re-send again.

Q: Flash Demo Builder fails connecting to the internet even though my PC is connected to the internet. What should I do?

A: Sometimes a maintenance is being performed at Flash Demo Builder server and at that time users cannot download or upload anything to Flash Demo Builder website. Please try again after a while.

Q: How do I change my Flash Demo Builder.com account email or password?

A: Please visit http://www.flashdemobuilder.com/chprofile.html

Q: Why is the resulting screen capture sometimes miss a mouse click/keyboard press?

A: Capturing is a CPU intensive process. Depending on how big the capture area and how fast your PC is, you may want to introduce a slight delay (30-100ms) between each keyboard press/mouse click. If the problem still occur, try to introduce longer delay.

Q: Why is the screen capture result sometimes showing wrong auto caption and highlight area?

A: Auto caption and highlight area are produced by predicting what button/area is clicked within the desktop. Even though the prediction will work most of the time, but at some cases it may produce wrong result. When this happen, you can fix the mistake manually by adjusting the highlight area and typing the caption manually.

Q: Does Flash Demo Builder support LMS (SCORM) tracking?

A: Yes it does.

Q: Does Flash Demo Builder import PowerPoint (PPT) file?

A: Yes, you can import PowerPoint (PPT) file into Flash Demo Builder presentation.

Q: How do I automatically align and resize quiz object on all slides?

A: You can use Quiz align/resize tools. Please go here to know more.

Q: How do I change the project dimension?

A: Click Project => Change project dimension menu.

However it is strongly advised that you use this feature minimally. It is much better if you start with the correct project dimension to get a better publish quality and a smaller file size.

Q: I want to do a full screen capture 1024x768 but I need to publish the output into a much smaller dimension like 400x300. How do I do that?

A: When you create a new screen capture project, after defining the capture area, you will be given an option to choose a different project dimension than the capture area.

Q: Why my images look blur?

A: Please check the image compression settings. A lower quality compression will results in a more blur image.

Please also check the presentation compression settings which set the global image and sound quality during publication.

Q: How do I disable navigation button for a specific slide?

A: You can disable a navigation button for a specific slide from a Slide Properties window.

You can easily disable/enable all slide navigation button from a Quiz Manager window.

Q: How do I insert a music which plays for the entire presentation duration?

A: Click menu Insert => Background Music. You can also make any sound object as a background music by changing its play mode as a "Play after the end of slide"

See here for more information. Note that you can only have one background music playing at one time. When a new background music starts playing, the currently playing one will stop.


Credits

 Top Previous

Flash Demo Builder Teams

Additional Credits

· bbMPEG software Group

· Lame encoder people

http://lame.sourceforge.net/